<template #popContent>
<div class="custom-header">
    {{selectedTask.name}}
</div>

<div class="custom-content">
    <form>
        <div class="form-group">
            <div class="input-group"><span class="input-group-addon">Retry Count</span>
                <input type="text" [value]="selectedTask.retryCount" class="form-control"><span class="input-group-addon">Times</span></div>
        </div>
        
        <div class="form-group">
            <div class="input-group"><span class="input-group-addon">Retry Logic</span>
                <select type="select" class="form-control">
                    <option selected="selected" value="FIXED">FIXED</option>
                    <option value="EXPONENTIAL_BACKOFF" >EXPONENTIAL_BACKOFF</option>
                </select>
            </div>
        </div>
        
        <div class="form-group" >
            <div class="input-group"><span class="input-group-addon" >Retry Delay</span>
                <input type="text" [value]="selectedTask.retryDelaySeconds" class="form-control"><span class="input-group-addon" >Seconds</span></div>
        </div>
        
        <div class="form-group">
            <div class="input-group" ><span class="input-group-addon" >Time Out Action</span>
                <select type="select" class="form-control" >
                    <option value="RETRY_TASK" >RETRY TASK</option>
                    <option selected="" value="TIME_OUT_WF" >TIME_OUT_WF</option>
                </select>
            </div>
        </div>
        
        <div class="form-group">
            <div class="input-group"><span class="input-group-addon" >Time Out</span>
                <input type="text"  [value]="selectedTask.timeoutSeconds"  class="form-control"><span class="input-group-addon" >Seconds</span></div>
        </div>
        
        <div>
            <div class="input-group"><span class="input-group-addon" >Response Time Out</span>
                <input type="text" [value]="selectedTask.responseTimeoutSeconds"  class="form-control"><span class="input-group-addon" >timeoutSeconds</span></div>
        </div>
        
        <div class="form-group">
            <label class="control-label" ><span >Task Description</span></label>
            <textarea type="textarea" label="Task Description" class="form-control" >{{selectedTask.name}}</textarea>
        </div>
        
    </form>
    </div>
</template>
<p class="custom-popover" [ngStyle]="customPopover"><span 
   [ngbPopover]="popContent"  #p="ngbPopover" triggers="manual" placement="right" ></span>
</p>
<div class="row">
    <div class="col col-12">
        <table class="table table-hover">
            <thead>
                <tr>
                    <th>Name/Version</th>
                    <th>Owner App</th>
                    <th>Timeout Policy</th>
                    <th>Timeout Seconds</th>
                    <th>Retry Count</th>
                    <th>Retry Logic</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let task of wfTaskList; let i = index;" class="tr-popover">
                    <td (click)="changeGreeting(task.name, i, $event)">{{task.name}}</td>
                    <td></td>
                    <td (click)="popover.close();">{{task.timeoutPolicy}}</td>
                    <td>{{task.timeoutSeconds}}</td>
                    <td>{{task.retryCount}}</td>
                    <td>{{task.retryLogic}}&nbsp;({{task.retryDelaySeconds}}&nbsp;Seconds)</td>
                </tr>
            </tbody>
        </table>
        <!--  <table class="table table-hover" style="position:relative;z-index:-1">
            <thead>
                <tr>
                    <th (click)="changeSortField('orderName')">Name/Version <i class="fa fa-angle-down" [ngClass]="{'fa-angle-up':sortField=='orderName', 'fa-angle-down':sortField=='!orderName'}" aria-hidden="true"></i></th>
                    <th (click)="changeSortField('orderDescription')">Owner App <i class="fa fa-angle-down" [ngClass]="{'fa-angle-up':sortField=='orderDescription', 'fa-angle-down':sortField=='!orderDescription'}" aria-hidden="true"></i></th>
                    <th (click)="changeSortField('orderStartDate')">Timeout Policy <i class="fa fa-angle-down" [ngClass]="{'fa-angle-up':sortField=='orderStartDate', 'fa-angle-down':sortField=='!orderStartDate'}" aria-hidden="true"></i></th>
                    <th (click)="changeSortField('orderEndDate')">Timeout Seconds <i class="fa fa-angle-down" [ngClass]="{'fa-angle-up':sortField=='orderEndDate', 'fa-angle-down':sortField=='!orderEndDate'}" aria-hidden="true"></i></th>
                    <th (click)="changeSortField('lastModifiedDate')">Retry Count<i class="fa fa-angle-down" [ngClass]="{'fa-angle-up':sortField=='lastModifiedDate', 'fa-angle-down':sortField=='!lastModifiedDate'}" aria-hidden="true"></i></th>
                    <th (click)="changeSortField('orderStatus')">Retry Logic <i class="fa fa-angle-down" [ngClass]="{'fa-angle-up':sortField=='orderStatus', 'fa-angle-down':sortField=='!orderStatus'}" aria-hidden="true"></i></th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let task of wfTaskList|filterOrder:filter.orderName:filter.orderStartDate:filter.orderEndDate:filter.orderDescription:filter.orderStatus | orderby:sortField">
                    <td>{{task.orderName}}</td>
                    <td>{{task.orderDescription}}</td>
                    <td>{{task.orderStartDate|date}}</td>
                    <td>{{task.orderEndDate|date}}</td>
                    <td>{{task.lastModifiedDate | date}}</td>
                    <td>{{task.orderStatus}}</td>
                    <td><a [routerLink]="['../view',order.orderId]">View</a> | <a [routerLink]="['../copy',order.orderId]">Copy</a></td>
                </tr>
                <tr *ngIf="!orders.length">
                    <td colspan="5" style="text-align:center"><b>No data available.</b></td>
                </tr>
            </tbody>
        </table> -->
    </div>
</div>
